Jump to content
Sign in to follow this  
lachaca

Probleme mit Umlauten

Recommended Posts

hallo zusammen
ich habe ein Problem mit den Umlauten. und zwar nur mit denen die in einem PopUp erscheinen.

da wird das so dargestellt: "Produkt ist in dieser Menge nicht verfügbar"
(Fehlermeldung wenn ich mehr Produkte in den Warenkorb legen will als verfügbar)

in alle PopUp Meldungen erscheinen die Umlaute und Sonderzeichen falsch.

hat jemand eine Ahnung wo hier etwas falsch läuft, resp. wo ich was ändern muss
damit die Umlaute und Sonderzeichen (éèà...) richtig angezeigt werden.

Eintrag in der errors.php (translation)

$_ERRORS['4738065e795a8e5bd54906ac3fcbc93e'] = 'Produkt konnte nicht geladen werden';
$_ERRORS['e7d83586eea16295040d29c5426819b1'] = 'Produkt ist in dieser Menge nicht verfügbar';
$_ERRORS['377b670e7942cf0e8d0176039c5a0fde'] = 'Produkt muss zuerst erstellt werden bevor Aenderungen gemacht werden können';


Nachtrag: dieser Umstand kommt nur wenn der Warenkorb mit ajax aufgerufen wird.
ohne die Einstellung "ajax-cart" kommt nur die Fehlermeldung auf einer neuen Seite und
alles scheint mit den Umlauten zu funktionieren. Da ich leider nicht der grosse Ajax [spam-filter]
bin - hat hierzu jemand einen Tipp?
Das ganze findet man unter modules/blockcart resp. in der cart.php am Ende..

Vielen Dank und Gruss
lachaca

Share this post


Link to post
Share on other sites

thanks remi
ich kenne die Codes für Umlaute in html. Aber ob ichs als ü oder'ü' eintrage, es erscheint
immer so wie im Bild (Anhang). Das Problem ist dass NUR die
Umlaute in den "alerts-PopUps" nicht richtig gesetzt werden!!! überall sonst funktionierts.

Wenn ich das in anderen Shops ausprobiere (einfache eine grosse Zahl in die Menge eintragen)
dann sehe ich die Umlaute richtig ??
Besipiel:
Beispiel-Link

hier dann eine Menge von 200 eingeben und in den Warenkorb, dann meldet sich ein PopUp
mit richtiger Darstellung des ü ?


habe schon in alle betroffenen dateien geschaut, aber leider noch keinen Lösungsansatz
oder Fehler gefunden.

wer weiss noch was?
Danke

Lösung: Ausdauer bringt's: in der Datei modules/blockcart/blockcart-json.tpl habe ich Zeile 77 nagepasst
jetzt geht's !!


old: '{$error|addslashes}'
new: '{$error|html_entity_decode:2:'UTF-8'}'


wieso weiss ich zwar nicht genau, aber es funkt...

13512_PBb6XOVnrFc8spYYTQU9_t

Share this post


Link to post
Share on other sites

hallo lachaca,

wir hatten bei den "Beispiel-Link" nichts extra eingestellt gehabt, es funktionierte von selbst richtig. Überprüfe deine anderen Einstellungen, die vielleicht "undeutsch" sind. Währung, andere aktivierte Sprachen, vielleicht das gesamte UTF8-Handling... Modultemplates zu ändern ist auf jeden fall nicht updatesicher ;)

Share this post


Link to post
Share on other sites

Hallo rumata
danke für deinen Tipp. ich hoffe du hattest nichts gegen den kleinen Beispiel-Link (ist ja Werbung für dich ;-))

Bei mir läuft eh noch die 1.1 version mit meinen vielen Anpassungen. Dank diesen vielen Veränderungen
konnte ich nicht mehr auf die 1.2 updaten. Aber der nächste Shop wird dann mir 1.2.x gemacht.

und jetzt läuft eigentlich alles, und das lassen wir dann mal so ;-))

schöne Zeit
lachaca

Share this post


Link to post
Share on other sites

nein, nichts dagegen :)
Wenn das eine ältere Version ist, ist es womöglich auch ein Bug gewesen. Unser Shop läuft auf 1.2-irgendwas

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More